﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define l= Character("Lewis", color="#343E3D")
define r= Character ("Me", color="#666370")
define e= Character ("Ella", color="#74526C")
define u= Character ("???", color="#74526c")
define u2= Character ("???", color="#343E3D")
define t1= Character ("Teacher", color="#774C60")
define t2= Character ("Teacher")
define u3= Character ("???", color="#C1B098")
define h= Character ("Harper", color="#C1B098")
define u4= Character ("???", color="#395993")
define v= Character ("Valarie", color="#395993")
define er= Character ("Eryn", color="#774C60")
define la= Character ("Lauren")
define u5= Character ("???")
define ru= Character ("Ruby")
define u6= Character ("???")
define vi= Character ("Victoria")
define ro= Character ("Robin")
define u7= Character ("???")
image ella happy = "c_happy_by_canarycharm-d9dbfd7"
image ella shocked = "c_shock_by_canarycharm-d9dbfbu"
image ella netural = "c_smile_by_canarycharm-d9dbfbj"
image ella sad = "c_sad_by_canarycharm-d9dbfch"
image ella sad talk = "c_sad_talk_by_canarycharm-d9dbfc5"
image lewis netural = "lewisbasenormal"
image lewis smirk = "lewisbasesmirk"
image bg school corridor = "501d192087b32644f46cfeb1c1dfbcda"
image lewis shocked blush = "lewisbaseshockedblush"
image lewis shocked = "lewisbaseshocked"
image bg classroom = "c61a25355eafcac50863964daec4da60"
image lewis laugh = "lewisbaselaugh"
image harper smile = "smile"
image harper angry = "angry"
image harper realisation = "ohh"
image bg forest 1 = "fantasy_forrest2_by_konett-d839ieb"
image lewis angry = "lewisbaseangry"
image harper shocked = "shocked"
image harper wtf = "wtf"
image harper surprised = "surprised"
image harper sad = "sad"
image bg pretty = "cover"
image bg pretty2 = "cover1"
image valarie happy = "4ec7e78ee85d6f3f0052"
image valarie shocked = "b4d64550c049e87ab953"
image bg black = "black"
image bg cafe = "cafescene"
image lauren normal = "laurenbasesmile"
image lauren happy = "laurenbasesmilebroad"
image lauren angry = "laurenbaseangry"
image lauren upset = "laurenbasesad"
image bg morning forest = "48779084_p0_master1200"
image ruby happy = "IMG_8350"
image ruby normal = "IMG_8351.PNG"
image ruby physco = "IMG_8352"
image victoria normal = "2a160422e633aa0e24f0"
image victoria annoyed = "0700e1b549b4afd8c872"
image robin happy = "miyuki_bunny_smile_by_canarycharm-d9dceib"
image robin normal = "miyuki_blush_smile_by_canarycharm-d9dcej3"
image robin shocked = "miyuki_surrprise_smile_by_canarycharm-d9dceel"


# The game starts here.

label start:
    
    ## Act One

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg school corridor

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show ella happy at center
    
    # The phrase in the brackets is the text that the game will display to prompt 
    # the player to enter the name they've chosen.

    $ player_name = renpy.input("What is your name? (Keep in mind you're playing a female)")

    $ player_name = player_name.strip()
    # The .strip() instruction removes any extra spaces the player 
    # may have typed by accident.

    #  If the player can't be bothered to choose a name, then we
    #  choose a suitable one for them:
    if player_name == "":
        $ player_name="Rosa"

    # These display lines of dialogue.
    
    u "Okay, before we start, %(player_name)s- would you like an explanation of the world this is set in?"
    
    menu:
        
        "Yes":
         jump explanation
         
        "Nope":
         jump start1
          
    label explanation:
        
    u "So, a long time ago this haven of a place was founded. The founder is still unknown to this day- so unfortunately I can't tell you who it was."
    
    u "But this unknown founder set up both Croftfall and Croftfall Academy- which you're in."
    
    u "WSOP, the World Society of Powers, monitors all the goings ons- but they're not very good at their job."
    
    u2 "If they hear you saying this you're dead!"
    
    u "Yes, thank you for that."
    
    u "Nobody dares verbally diss WSOP- it's too dangerous."
    
    u "The only person who doesn't fear them is Elena. She could easily bring them down with one flick of her hand."
    
    u "But you'll find out about her during the course of this story."
    
    u "In this word it's safe to have powers- that's why this haven was made in the first place."
    
    u "However, some people use their powers for evil and chaos- the best examples of this are Tashiou and Faolan- a now dead dragon-hybrid and an Irish Werewolf."
    
    u "They made it their job to bring down this academy- and they nearly did. They almost wiped out an entire bloodline of Elites."
    
    u "Now then, what are Elites? To answer your question, the Elites are a special class of magic users. They have the strongest magic powers within them."
    
    u "The most recent class of Elites were years and years ago. Callie, your mother, Elena, Tashiou, Clover and Raven."
    
    u "And now four out of those five are dead. Elena is the ony one alive."
    
    u "Callie was killed by your father, Clover and Raven were killed- I can't remember who by and Tashiou was killed as well."
    
    u "Later on you'll have to make some pretty important descions- but I'll put this out there now."
    
    u "There are jumpscares, dark themes and some other unsettling stuff. This will deal with suicide and mental health later on- so if you're sensitive to these topics- maybe wait until a nicer game is released."
    
    u "And also- I'd advise not lying to people."
    
    u "But then again- you never know who to trust."
    
    u "Oh, and another thing before you start."
    
    u "Some people see themselves as better than people without powers."
    
    u "And that's all I have to say! Get playing!"
    
    jump start1
          
    label start1:

    u "Hello, and welcome to Croftfall Academy! I'm part of the welcoming committe."

    r "That exsists?"
    
    show lewis netural at right
    
    u2 "No, it's something she started herself."
    
    show ella shocked at center
    
    u "Lewis!"
    
    show lewis smirk at right
    
    l "It's true though."
    
    "I watched as the two students, Lewis and someone else, argued."
    
    r "I'm still here, you know."
    
    "I awkwardly clear my throat as I speak."
    
    show ella happy at center
    
    e "Oh right, sorry. I'm Ella and as you can probably tell, this here is Lewis."
    
    show lewis netural at right
    
    l "Yup, that's me."
    
    "I ignored his remark which made no sense and looked down at my timetable."
    
    "It said that I had a class on how to control your powers."
    
    "Ella glanced over at me and saw my timetable."
    
    e "What are your powers?"
    
    l "Yeah, I'd like to know what yours are, besides from looking cute."
    
    menu:
        
        "I don't know yet":
            
         jump honest
        
        "Lie":
            
         jump lie
        
    label honest:
            
            r "I honestly have no idea yet. Oh, and please don't call me cute."
            
            jump classroom1
            
    label lie:
                
            r "Oh, um. I have... Fire powers? And I'm not cute."
                
            jump liedtoo1
                
    label classroom1:
        
    show lewis shocked at right
       
    l "Temper, temper."
    
    e "I have the next class with you anyway, so let's get going."
       
    scene bg classroom
    with fade
    
    jump truepath1
    
    label liedtoo1:
        
        show lewis shocked at right
        
        l "No one's ever said that to me before, you better watch it."
        
        show ella shocked at center
        
        e "That's no way to speak to a new student!"
        
        r "I don't mind it that much."
        
        show ella happy at center
        
        e "So you say you have fire powers?"
        
        r "Yeah."
        
        e "You didn't seem too sure on your answer there. Can I see a demonstartion?"
        
        r "N-not now, after my class, maybe."
        
        show lewis netural at right
        
        l "Luckily for you, I'm taking the same class. Let's go."
        
        jump falsepath1
        
    label truepath1:
        
        "After entering the classroom and sitting in the only available seat, the class began."
        
        "It was boring at first, the teacher was only going over the basics of powers, as well as trying to discover your own power."
        
        "Truthfully, I hadn't been paying much attention."
        
        "But then I was picked on to answer the question."
        
        t1 "Were you listening? I said, how do you control your powers?"
        
    menu:
        
        "Say some random knowledge":
            
          jump correct1
        
        "Say something unrelated and hope the teacher doesn't notice":
            
          jump wrong1
        
        "Attempt to be funny":
            
          jump funny1
        
    label correct1:
        
        r "You have to stay calm and control your temper while maintaining a balanced mind."
        
        t1 "Well done, that is correct."
        
        "I was pretty suprised at me getting the correct answer, I had just been repeating something other people used to say around me."
        
        "After that, I caught Ella's eye and we grinned at each other."
        
        "The teacher kept picking on me, so I made sure to pay full attention to the class."
        
        "I even started making notes!"
        
        "I was happy yet also disappointed when the bell rang, a downside was that I would proably have to see Lewis again."
        
        show ella happy at center
        
        e "You were great! C'mon, let's go meet Lewis."
        
        r "Oh, joy."
        
        "I hoped she hadn't heard, but she seemed to be engrossed in talking to the teacher. I could hear her from where I stood."
        
        scene bg school corridor
        with fade
        
        "After walking for a bit with Ella, we reached the meeting point. I walked headfirst into Lewis and he grumbled at me."
        
        menu:
        
           "Apologise":
            
               jump lewislike1
            
           "Don't apologise":
            
               jump lewisdislike1
            
        label lewislike1:
        
           show lewis netural at center
        
           r "S-sorry. I didn't see you there."
        
           show lewis laugh at center
        
           l "Maybe you need glasses!"
        
           show ella shocked at left
        
           e "Lewis! Stop heckling people!"
        
           show harper smile at right
        
           show lewis netural at center
        
           u3 "He's been doing it all day."
        
           show ella happy at left
        
           e "Nice to see you, Harper."
        
           h "You too, Ella."
        
           "I studied the girl who had just arrived- Harper- she looked a bit like Lewis."
        
           l "Hey, sis!"
        
           "Lewis calling her 'sis' confirmed my assumptions."
        
           h "Who's this?"
        
           r "Oh, I'm a new student around here."
        
           h "What's your name?"
        
           l "Yeah, you haven't told us yet."
        
           r "Oh, I haven't? Sorry. It's %(player_name)s."
        
           e "Nice name."
        
           r "Thanks."
        
           h "Anyway, I have something to show you two. You wanna come, %(player_name)s?"
        
           menu:
            
              "Decline":
            
                jump lewisdislike2
             
              "Accept":
            
                jump lewislike2
              
           label falsepath1:
            
            scene bg forest 1
            with fade
            
            r "Hey, where are you taking me? This isn't school!"
            
            show lewis laugh at center
            
            l "You'll see. Say, I never got to ask you about your name."
            
            r "It's %(player_name)s."
            
            l "Nice! Now, sit down with me. C'mon, don't be shy."
            
            r "Who's shy?"
            
            "Lewis' ears seemed to pick up everything. Grinning, he pulled me down into his lap and rested his arms around my shoulders."
            
            l "You are."
            
            "I couldn't help but tense at his touch."
            
menu:
                
                "Push him off":
                
                  jump neutralpath1
                  
                "Do nothing":
                
                  jump falsepath2
                  
label wrong1:
                
                r "You have to, um... OH! You have to control your temper."
                
                t1 "Partly, but no. You weren't listening, were you? You're lucky you had Ella to help you. After class detention with me, %(player_name)s."
                
                "It was annoying how the teacher knew my name and that Ella had been helping me, but I guessed it was part of the job."
                
                "I shivered slightly in my chair, remembering how her forked tongue had flickered in and out, like a snake's."
                
                "Wait... Hadn't I seen her somewhere before?"
                
                "I didn't pay attention to the rest of the class, there was no point. I just laid my head down on my desk and waited for the bell to go."
                
                "It did and everybody else left the room, including Ella."
                
                show ella sad talk at right
                
                e "See you later then."
                
                hide ella sad talk
                
                "I watched Ella leave as the teacher sat down at her desk."
                
                t1 "On the piece of papaer in front of you, you should write this."
                
                "On the chalkboard the teacher had written 'I must pay more attention in Eryn's lessons, even if they are boring'."
                
                "I was positive that I'd heard a name like that before. Except it had been spelt 'Erin' instead."
                
                "Then it clicked, she was my mother's friend. My mother used to always speak fondly of an 'Erin' and an 'Elena'."
                
                menu:
                    
                  "Ask Eryn about it":
                    
                    jump truepath2
                          
                  "Don't ask":
                        
                    jump neutralpath2
                         
                label funny1:
                    
                    r "Well, I wouldn't know how to control my powers because I don't have any!"
                    
                    "Behind the teacher's back I saw Ella smack her head against her desk in annoyance. On the plus side, the rest of the class was laughing."
                    
                    t1 "I wasn't asking if you had powers, believe or not I don't actually care. I was asking about the topic I had just been teaching, and it appears you weren't listening."
                    
                    t1 "After class detention with me, %(player_name)s."
                    
                    "There were many outraged cries but the teacher silenced them all with a flick of her hand. Ella glared at me and a note landed on my desk."
                    
menu:
                        
                        "Open note":
                            
                             jump falsepathruby1
                             
                        "Don't open note":
                            
                             jump neutralpath3
                             
label lewisdislike1:
                        
                        "I pretended I hadn't noticed, but then he picked me up and pulled me to his face height."
                        
                        "He was going to say something but thankfully Ella interrupted him."
                        
                        show lewis angry at center
                        
                        show ella shocked at left
                        
                        e "LEWIS!! Put %(player_name)s down!"
                        
                        "I didn't question how she knew my name."
                        
                        l "So that's her name."
                        
                        "He dropped me and I staggered to my feet, holding the wall for support."
                        
                        l "You better watch it, runt."
                        
                        "I didn't respond, however I felt a growing anger inside me."
                        
                        show lewis shocked at center
                        
                        l "AH!"
                        
                        "I had just released a small ball of fire at him. Luckily it passed over him, but he still seemed shocked."
                        
                        e "It seems you've just helped %(player_name)s here discover her power."
                        
                        l "Haha. Very funny. That could've burned me!"
                        
                        show ella happy at left
                        
                        e "If it hadn't missed."
                        
                        show harper surprised at right
                        
                        u3 "What was that?!"
                        
                        l "Oh. It was nothing, Harper. Just {i}%(player_name)s{/i} shooting a massive fireball at me!"
                        
                        show ella shocked at left
                        
                        e "It was tiny!"
                        
                        r "Yeah!"
                        
                        h "It doesn't matter about the size! Stop being such a crybaby, Lewis!"
                        
                        l "Okay, so maybe it was tiny. Calm down, sis!"
                        
                        l "Maybe I exaggerated it. And?"
                        
                        "Harper rolled her eyes and sighed."
                        
                        h "Anyway, I have something to show you two. You wanna come, %(player_name)s?"
        
menu:
            
                            "Decline":
            
                              jump lewisdislike2
             
                            "Accept":
            
                               jump lewislike2
                              
label lewisdislike2:
                         
                               
                               r "Sorry, I have things to do."
                               
                               "Lewis looked upset and yet also annoyed at my answer. Only he could manage that look."
                               
                               show harper sad at right
                               
                               h "C'mon, it'll be fun."
                               
                               r "Ugh, fine."
                               
                               show lewis smirk at center
                               
                               show ella happy at left
                               
                               l "That's the spirit."
                               
                               "Lewis lent over and ruffled my hair as I growled at him."
                               
                               jump lewislikea2
                               
label lewislike2:
    
    r "Sure. There's nothing important I need to do."
    
    show harper smile at right
    
    show lewis netural at center
    
    show ella happy at left
    
    h "Yay!"
    
    jump lewislikea2
    
label lewislikea2:
    
    show harper smile at right
    
    h "Come on!"
    
    scene bg pretty
    with fade
    
    r "This place is so pretty..."
    
    show harper smile at right
    
    h "I know, right."
    
    r "Quick question though, are we even allowed to leave school grounds?"
    
    show ella happy at left
    
    e "Of course! What kind of school do you think Croftfall Academy is if it doesn't let students leave the grounds?!"
    
    r "It's an academy?"
    
    "I don't remember it ever saying that in the letter I was given..."
    
    show lewis shocked at center
    
    l "Yes! How did you not know that?"
    
    show lewis smirk at center
    
    "I watched as he laughed before crossing my arms in annoyance."
    
    r "Why do you always belittle me?"
    
    e "I think a more appropriate term would be 'mock'."
    
    r "Stay out of this!"
    
    show ella shocked at left
    
    show lewis shocked at center
    
    l "Now that's just downright rude."
    
    "Lewis scooped me up off my feet and holds me as we fall into the pool of water."
    
    "I struggled to get out of his arms as we sank to the bottom."
    
    "But surprisingly we didn't hit anything- we passed through the rocks."
    
    scene bg pretty2
    with fade
    
    "I pushed myself above water and studied the scene in front of my eyes."
    
    r "Where are we?"
    
    show lewis smirk at right
    
    l "Somewhere speical."
    
    "He lightly touched my nose as he grabbed my hands."
    
    "He pulled us both out of the water and onto the rocks."
    
    r "What about the others?"
    
    l "They can't come down here- they don't have the abilty to manipulate water like I do."
    
    r "Wouldn't that make you one of those Powermental things people always talk about?"
    
    "Lewis laughed at my question."
    
    r "What's so funny?"
    
    l "No, it wouldn't make me a Powermental."
    
    "He pulled me into his lap before continuing."
    
    l "My mother taught me that anybody can have their main {i}and{/i} secondary powers."
    
    l "My main is Lunar Manipulation- but my mother taught me Water Manipulation."
    
    "He wrapped his arms around me as I reluctantly lent against his chest."
    
    r "Who was your mother?"
    
    l "That's for me to know and you find out."
    
    "After sitting in silence for a few moments, Lewis twisted me around so I was facing him."
    
    "He then proceeded to lean into me, and his lips brushed mine."
    
    menu:
        
        "Refuse":
            jump neutralpath4
            
        "Deepen the kiss":
            jump falsepath4
            
    label neutralpath1:
        
        r "Get off me, you perv! We've only just met!"
        
        show lewis shocked at center
        
        l "Okay! Fine!"
        
        "As I pushed him away he pushed me away so we were both laying in the dirt."
        
        l "Good day and good bye."
        
        hide lewis
        
        "I watched as he walked away. I could barely stand- my legs were shaking that much."
        
        "I clung desperately to a tree to keep myself upright."
        
        r "Damn him."
        
        "I kicked a stone which hit a tree trunk; except it wasn't a tree trunk."
        
        "It was a girl."
        
        show valarie shocked at center
        
        u4 "Hey! That hurt!"
        
        menu:
            
            "Apologise":
                jump neutralpath5
                
            "Don't apologise":
                jump falsepath5
                
        label falsepath2:
            
            "His soft lips brushed against my neck as he leaned in even closer."
            
            "He spun me around so I was facing him and our lips met."
            
            "I was unaware of Ella standing right behind us."
            
            show ella shocked at right
            
            e "Lewis! You've ony just met %(player_name)s! How could you!"
            
            "Lewis quickly pushed me off and onto the dirt ground."
            
            show ella sad at right
            
            show lewis shocked at center
            
            l "It was %(player_name)s's fault! She was the one who started the kiss!"
            
            e "It was you, you player!"
            
            "I watched as Ella ran off, tears in her eyes."
            
            hide ella
            
            r "What was all that about?"
            
            "I pulled myself up as Lewis ignored my question and ran off after Ella."
            
            hide lewis
            
            "I decided it would be best to go back to the academy seeing as the bell for lunch would go soon."
            
            jump falseella1
            
            label truepath2:
                
                r "Hey, Eryn?"
                
                er "Mhmm?"
                
                "She looked up from her desk and the papers she was sorting."
                
                r "Did you used to know a person called Callie?"
                
                er "Yes, why?"
                
                r "S-she's my mother... She used to speak fondly of you and Elena, until..."
                
                "I couldn't continue because my voice wasn't working anymore. I bit down on my lip to stop myself from crying."
                
                "Eryn had moved closer to me as I spoke."
                
                er "I should've recognised you sooner. Say, what happened to your mother?"
                
                "I swallowed and forced the words out."
                
                r "She was killed. By father..."
                
                er "..."
                
                er "I wish I hadn't asked."
                
                "She returned to her desk before talking again."
                
                er "Are you any good at solving mysteries, %(player_name)s?"
                
                r "I must say I've never tried, why?"
                
                er "Just wondering. Take a look at this."
                
                "She threw a piece of balled up paper at me."
                
                "It hit my head before resting on my desk."
                
                "I opened it up and it read:"
                
                "{b}LOINRIDGE ACADEMY MURDERS{/b}
                 {i}Dead bodies were discovered outside the well-known and loved school.{/i}
                 {i}Witnesses are being questioned on the whereabouts of the murderer.{/i}"
                
                "Then in tiny print at the bottom of the sheet it said the date."
                
                r "This is from when my parents were at school!"
                
                er "I know, It still hasn't been solved."
                
                er "Elena's been working nonstop for the past month to solve that case- she's nowhere near close."
                
                er "It's pitiful relly."
                
                er "I've told her so many times there's no hope- but she just won't listen to me."
                
                er "Anyway, you're dismissed. And keep that piece of paper."
                
                "I left the room without saying anything more."
                
                scene bg school corridor
                with fade
                
                show ella shocked at left
                
                show lewis angry at center
                
                l "No! You don't understand, do you?"
                
                e "All I need to know that you took advantage of-"
                
                show ella happy at left
                
                e "Hey, %(player_name)s! I didn't see you there."
                
                r "Hey."
                
                menu:
                    
                    "Tell her about the mystery":
                        jump truepath3
                        
                    "Don't tell her":
                        jump falseella2
                        
                label neutralpath2:
                    
                    "I bit my tongue and started writing down the lines I was meant to write."
                    
                    "I watched Eryn briefly- she was too absorbed in her paperwork to notice me."
                    
                    "At some point I became aware of a knocking at the window- and swiveled around in my seat."
                    
                    "It was Lewis standing with Ella and another girl, trying to get my attention."
                    
                    "I glanced back at Eryn- but she was oblivious to the world."
                    
                    "I held up a finger to tell them to wait a minute."
                    
                    r "Um, excuse me?"
                    
                    er "Yes?"
                    
                    "She hadn't even looked up from what she was doing."
                    
                    r "Uh..."
                    
                    "I needed an excuse, and fast."
                    
                    er "Get on with it then, I don't have all day."
                    
menu:
    
    "Toilet Break excuse":
        jump toiletbreak1
        
    "Something Outside excuse":
        jump so1
        
    "Slip out the door when she's not watching":
        jump sneaky1
        
label falsepathruby1:
    
    "I slowly opened the note and read the contents."
    
    "{i}Hey, nice joke there. I like your style. Wanna meet after school?{/i}"
    
    menu:
        
        "Accept the offer":
            jump falsepathruby2
            
        "Decline":
            jump falsepathruby3
            ## This'll trigger her jumpscare after she leads you out of school the next day, ending the game
            
    label neutralpath3:
        
        "I let the note lay there until class was over."
        
        show ella sad talk at right
        
        e "See you later, %(player_name)s."
        
        hide ella
        
        "I watched as she left the classroom, leaving me with the teacher."
        
        "The teacher started flicking through a big manual before realising I was still present."
        
        t1 "Why are you still here?"
        
        r "Uh, because I have a detention?"
        
        t1 "Oh, yes. Right."
        
        "She hastily stood up, dropping the manual on the floor."
        
        "She was about to start writing on the board when the classroom door was flung wide open."
        
        "Lewis fell in as the slammed shut behind him."
        
        show lewis shocked at right
        
        l "I swear this school is haunted."
        
        "I heard him mutter under his breath."
        
        "He looked up at the teacher- who didn't seem too pleased at seeing him."
        
        show lewis netural at right
        
        l "Ahah! Eryn, there you are! My favourite teacher."
        
        er "You flatter me."
        
        "She spoke in a very flat tone."
        
        l "I was just wondering- do you know where my mother is? She's usually in this classroom."
        
        er "Well she's not now."
        
        l "But-"
        
        er "Look, I have no time whatsoever for this. I have a detention to run, now get out!"
        
        l "Oh, alright! Jeez."
        
        hide lewis
        
        "He stormed out of the room, slamming the door behind him."
        
        er "Lewis, Lewis, Lewis,"
        
        "Eryn tuttered before writing on the board with chalk."
        
        "The dust flaked all over her clothes and her hair, covering her in a thin film of whiteness."
        
        er "On the piece of papaer in front of you, you should write this."
                
        "On the chalkboard Eryn had written 'I must not joke around in Eryn's lessons, it annoys her'."
        
        "I inwardly groaned as I started copying down the sentence on the board."
        
        "There was a tapping on the window so I looked over, and saw Lewis there- grinning stupidly."
        
        "He had Ella and another girl there next to him."
        
        "I glanced back at Eryn- but she was oblivious to the world."
                    
        "I held up a finger to tell them to wait a minute."
                    
        r "Um, excuse me?"
                    
        er "Yes?"
                    
        "She hadn't even looked up from what she was doing."
                    
        r "Uh..."
                    
        "I needed an excuse, and fast."
                    
        er "Get on with it then, I don't have all day."
                    
menu:
    
    "Toilet Break excuse":
        jump toiletbreak2
        
    "Something Outside excuse":
        jump so2
        
    "Slip out the door when she's not watching":
        jump sneaky2
        
        label neutralpath4:
            
        show lewis shocked at right
        
        r "No wait- we can't. What if the others find out?"
        
        "I pushed Lewis away and he looked at me."
        
        "He pouted before sighing."
        
        jump gameover1
        
        label gameover1:
        
        l "You can't delay the inevitable, %(player_name)s."
        
        l "It doesn't matter how hard you try."
        
        l "{i}There's always someone somewhere who knows everything about us and what goes on.{/i}"
        
        window hide
        play sound "Lewis JUMPSCARE.mp3"
        show lewisbasejumpscare zorder 10
        pause 0.5         
        hide lewisbasejumpscare
        window auto
        
        show lewis smirk at right
        
        l "I told you so. Maybe you should listen to me more often."
        
        scene black
        with fade
        
        text "Bad ending"
        
        text "Maybe you should try agian."
        
        return
        
        label falsepath4:
            
        "I kissed him back as I wrapped my arms around him."
        
        l "See? This is nice."
        
        r "If you say so."
        
        l "You're always like that. Why can you never make up your mind?"
        
        "He kissed me before I could answer."
        
        r "We best be getting back, the others will be worried."
        
        l "I guess you're right."
        
        show lewis netural at right
        
        l "Let's get back."
        
        "He scooped me up in his arms and we passed through the rock again to the surface."
        
        scene bg pretty
        with fade
        
        show ella shocked at center
        
        show harper angry at right
        
        e "Where were you guys? Harper's been worried sick!"
        
        h "Yeah!"
        
        "She punched Lewis' arm as he put me down."
        
        show lewis shocked at left
        
        l "HEY! You hurt when you punch."
        
        r "Grow up you two."
        
        "I tried my best to ignore what happened between me and Lewis earlier- I had a feeling that Ella wouldn't be too happy if she knew."
        
        show ella netural at center
        
        e "We best be getting back- my next class is soon."
        
        jump falsepath6
        
        ## This ends Act One for this path- the next labels will be found in Act Two
        
        label falseella1:
            
        scene bg cafe
        with fade
        
        "As soon as I entered the cafe I was overwhelmed- there was so much noise."
        
        "I also didn't realise that there was a cafe on site until one of the older students told me."
        
        "I got an apple off the counter and found an empty table to sit down at."
        
        show lauren normal at center
        
        "Out of nowhere a girl appeared."
        
        u5 "Hi! Can I sit next to you?"
        
        menu:
            
            "Of course!":
             jump truepath4
            
            "No way.":
             jump truepath4a
            
        label truepath4:
            
        r "Of course! Say, what's your name?"
        
        show lauren happy at right
        
        la "It's Lauren. Yours?"
        
        r "Mine's %(player_name)s. Nice to meet you, Lauren."
        
        la "Nice to meet you, %(player_name)s."
        
        r "So, how long do we have for lunch?"
        
        "Before answering me, Lauren swung her bag onto the table and pulled out a lunch box."
        
        "She flipped the lid open before replying."
        
        la "Roughly an hour, why?"
        
        r "No reason."
        
        "I ate my apple and looked up when the doors opened."
        
        "Ella stormed in and grabbed some food before leaving- Lewis was following behind."
        
        "He caught my eye and made his way over to the table."
        
        show lewis netural at left
        
        l "Hey, Lauren. Hey, %(player_name)s."
        
        "I waved and finished eating my apple before throwing it in the nearby bin."
        
        l "I see you've met Lauren, then. She's my girlfriend."
        
        "That word, 'girlfriend', felt like a punch to the stomach."
        
        "I'd started to like him- and now all those kisses turn out to mean nothing."
        
        "I forced a smile as I answered."
        
        r "Well that's nice."
        
        r "As much as I would like to, I can't chat all day. See you later."
        
        "I waved as I started to leave the cafe."
        
        la "Wait, %(player_name)s!"
        
        "She ran up to me and passed me some folded up paper."
        
        "She then ran back to Lewis, disappearing from me view."
        
        hide lauren
        
        "Lewis waved before turning his back to me."
        
        "I ignored him and left the cafe."
        
        hide lewis
        
        "I looked down and unfolded the paper."
        
        "I opened it up and it read:"
                
        "{b}LOINRIDGE ACADEMY MURDERS{/b}
        {i}Dead bodies were discovered outside the well-known and loved school.{/i}
        {i}Witnesses are being questioned on the whereabouts of the murderer.{/i}"
                
        "Then in tiny print at the bottom of the sheet it said the date."
                
        "This is from when my parents were at school!"
        
        "It must still not be solved."
        
        "My line of thought was interrupted by the bell- it turned out that lunch was shorter than what Lauren said."
        
        jump truepath5
        
        ## Act One end
        
        label truepath4a:
            
        r "Um, no. Sorry."
        
        u5 "Oh, okay!"
        
        "I watched as she bounced off over to another tabel where they let her sit."
        
        "She'd dropped a piece of paper on the floor- I couldn't decide whether I should pick it up or just leave it."
        
        menu:
            
            "Pick it up":
             jump truepath6
            
            "Leave it":
             jump neturalpath6
             
        label truepath3:
            
        r "Ella, do you know about this mystery?"
        
        "I handed her the piece of paper and watched her study it for a minute."
        
        show ella shocked at left
        
        show lewis shocked at center
        
        "Lewis grabbed the paper out of Ella's hands, and whatever they were arguing about before had been forgotten."
        
        l "I can't believe they still haven't solved this. It's been a mystery for years- see?"
        
        "He pointed at the date and I nodded."
        
        l "C'mon."
        
        "He seized my arm and I was dragged through a countless number of halls before we emerged outside."
        
        scene bg morning forest
        with fade
        
        "After some more dragging we stopped inside a forest."
        
        show lewis shocked blush at center
        
        l "%(player_name)s, I think it's time I told you the truth."
        
        l "My parents... My parents are Anthony and Elena- they used to work here."
        
        r "Why was this so hard telling me?"
        
        l "Don't you see, %(player_name)s? Elena had a terrible reputation for being insane and sleeping with anyone she fancied- and Ant's not much better!"
        
        show lewis netural at center
        
        l "Whenever me and Harper went round hers, she would also be with someone. So far as I know she still hasn't settled with a defintive partner. I'm glad I've got my own place."
        
        "He shuddered before taking in a big breath."
        
        l "Anyway, c'mon. We need to get you some detective clothes."
        
        "I groaned inwardly as he grabbed my arm again and started to drag me."
        
        "I'd lost count how many times he'd done that."
        
        jump truepath7
        
        ## Act One end
        
        label falseella2:
            
        e "So, anything interesting happen?"
        
        r "Ella, it was DETENTION. Nothing interesting ever happens."
        
        show lewis smirk at center
        
        l "%(player_name)s has a point, y'know."
        
        e "I just thought it would be polite to ask. Common manners, Lewis, common manners."
        
        "I found it pretty funny when they argued- mainly because Ella got smart with her come backs. Some of them were decent enough for me to use if I ever needed to."
        
        l "You {i}know{/i} I don't have manners."
        
        e "I think everybody who's ever met you knows."
        
        label falsepathruby2:
            
        "'Oh, alright.' I write back."
        
        "I scrunched up the note and threw it back at the girl."
        
        "I ignored the rest of lesson and waited for class to end."
        
        show ella sad at right
        
        "Ella ignored me and left the classroom."
        
        hide ella
        
        t1 "Right, %(player_name)s, you have lines to write."
        
        "She slapped the whiteboard after she'd finished writing 'Eryn does not appricate jokes during her lessons'."
        
        "Chalk flaked onto her clothes as she sat down and put her feet up on her desk."
        
        "She pulled a big manual out from underneath her desk and started reading it- she was too engrossed to notice me stand up and slip out the room."
        
        show bg school corridor
        with fade
        
        "The door creaked as I stood in the hallway."
        
        show ruby happy at left
        
        u5 "That was amazing sneaking skills."
        
        "She high-fived me as Lewis appeared."
        
        show lewis neutral at right
        
        l "Yeah, Eryn's not the sharpest tool in the box. It's pretty easy to get past her."
        
        r "Where's Ella?"
        
        l "I don't know. She just ran off and wouldn't talk to me."
        
        "Lewis seemed to only just notice the other girl."
        
        l "Hey, Ruby."
        
        ru "Hey, Lewis."
        
        "She looked at me again and grinned."
        
        ru "So you after school- I have other lessons to go to."
        
        "She ran off down the hallway, disappearing from sight."
        
        hide ruby
        
        "The lunch bell went off- and Lewis started dragging me to the cafe."
        
        jump falsepathruby4
        
        label falsepathruby3:
            
        "'No thanks' I scrawled back."
        
        "I threw the paper back and it hit her on the head."
        
        "She growled as she read the note."
        
        "I ignored the rest of the class until everyone started leaving."
        
        "Ella didn't even look at me as she stormed out of the classroom."
        
        "The teacher waited until everyone had left before slapping me with a ruler."
         
        r "Ow."
        
        t1 "{i}Don't{/i} pass notes in my lesson."
        
        r "I'm sorry!"
        
        show victoria annoyed right
        
        u6 "Put the ruler down, Eryn."
        
        "The door had burst open without us noticing, and a girl stood there."
        
        er "Oh, Victoria. How {i}nice{/i} of you to join us."
        
        vi "Put it down."
        
        "She started reaching down her sock when Eryn dropped the ruler on the floor."
        
        vi "Let %(player_name)s go, there's somebody waiting for her outside."
        
        "Victoria grabbed my arm and dragged me outside."
        
        scene bg school corridor
        with fade
        
        show victoria normal at left
        
        show ruby physco at right
        
        vi "I've got to go- she's all yours Ruby."
        
        hide victoria
        
        "The girl called Ruby took my arm and began dragging me somewhere."
        
        scene bg morning forest
        
        show ruby physco at left
        
        ru "Why did you decline?"
        
        r "Uh, because I didn't want to meet up with you?"
        
        ru "Our paths have to cross at some point, %(player_name)s."
        
        ru "You'll have to warm up to me eventually."
        
        ru "{i}Otherwise you can't continue down this path{/i}"
        
        window hide
        play sound "Ruby's Jumpscare.mp3"
        show Ruby jumpscare zorder 10
        pause 0.5         
        hide Ruby jumpscare
        window auto
        
        ru "Maybe you should think- next time- to avoid this reality."
        
        scene black
        with fade
        
        text "Bad Ending"
        
        text "Try to {i}not{/i} enrage Ruby next time."
        
        return
        
        label falsepathruby4:
            
        scene bg cafe
        with fade
        
        show lewis shocked at right
        
        l "I can't believe you exchanged notes with Ruby, %(player_name)s. Are you {i}insane{/i}?"
        
        r "What?"
        
        l "She's going to kill you if you make her mad."
        
        r "No, she won't."
        
        l "Wanna bet?"
        
        "He grumbled under his breath as he looked around fearfully."
        
        r "What's up with you and Ella? I start talking to somebody new and you both go into a sulk."
        
        l "It's because we're trying to protect you, %(player_name)s. Not everybody is who they say they are."
        
        r "Like you."
        
        "He looked like I'd slapped him after I said that. I pulled out of his grip and started running- but I had no idea where I was going."
        
        menu:
            
            "Stay in school grounds":
                
                jump falsepathruby5
                
                ## end of Act One
                
            "Leave school grounds":
                
                jump truepath8
                
                ## end of Act One
                
        label truepath6:
            
        "I bent down and picked it up."
        
        "I slowly unfolded it to reveal an old newspaper article."
        
        "It was tattered and it nearly ripped in my hands."
        
        "It read:"
                
        "{b}LOINRIDGE ACADEMY MURDERS{/b}
        {i}Dead bodies were discovered outside the well-known and loved school.{/i}
        {i}Witnesses are being questioned on the whereabouts of the murderer.{/i}"
                
        "Then in tiny print at the bottom of the sheet it said the date."
                
        "This is from when my parents were at school!"
        
        "It must still not be solved."
        
        "My line of thought was interrupted by the bell- it turned out that lunch was shorter than what Lauren said."
        
        "I got up and ate my apple as I left."
        
        "I glanced down at my timetable- I had history next."
        
        "I sighed as I threw the apple core in the bin I was walking past."
        
        jump truepath9
        
        ## ACt ONe ENd
        
        label neturalpath6:
            
        "I left it lying there on the floor."
        
        "A fight was happening at the other end of the cafe- two of the teachers appeared to be punching each other."
        
        u6 "For Nitro's sake, grow up!"
        
        show victoria annoyed at left
        
        "The girl who had spoken separated them before coming over to me."
        
        show victoria normal at left
        
        u6 "Sorry about that. That happens basically every lunchtime."
        
        u6 "Anyway, I assume you're new."
        
        "I nodded."
        
        u6 "I'm Victoria- I'm in the last year here. You are?"
        
        r "%(player_name)s."
        
        vi "Nice to meet you. Again- I apolgise about that fight."
        
        r "It's fine. Fights don't really bother me."
        
        vi "That's just as well- considering how many we have going on."
        
        "Victoria pulled a tennis ball out of her pocket and passed it from hand to hand before throwing it straight up."
        
        "It fell into a black hole before coming out of another hole at the opposite end of the cafe."
        
        "She grinned as she caught it in her hand without turning around."
        
        vi "Dark Matter Manipulation. I can create portals almost anywhere."
        
        vi "The bell's gonna go soon- but there's a place I want to show you before that happens."
        
        jump truepath10
        
        ## Act One ENd
                
    # This ends the game.

return
